/*
 * For the MAME FM sound cores
 */

#ifdef _MSC_VER
 #pragma warning (disable:4505) /* Disable " logerror' : unreferenced local function has been removed" warning message */
 #pragma warning (disable:4710) /* Disable "inline not inlined" warning message */
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define INLINE __inline static

typedef char INT8;
typedef unsigned char UINT8;
typedef short INT16;
typedef unsigned short UINT16;
typedef int INT32;
typedef unsigned int UINT32;
#define OSD_CPU_H

/* OPN */
#define HAS_YM2203  0
#define HAS_YM2608  1
#define HAS_YM2610  1
#define HAS_YM2610B 1
#define HAS_YM2612  0
#define HAS_YM3438  0
/* OPL */
#define HAS_YM3812  1
#define HAS_YM3526  0
#define HAS_Y8950   0

#define timer_get_time() BurnFMTimerGetTime()

#ifdef __cplusplus
 extern "C" {
#endif
  double BurnFMTimerGetTime(void);

  typedef unsigned char (*mem_read_handler)(unsigned int offset);
  typedef void (*mem_write_handler)(unsigned int offset,unsigned int data);

  static void __cdecl logerror(char* szFormat, ...) { (void)szFormat; }
#ifdef __cplusplus
 }
#endif

