// FM timers

#define TIMER_TICKS_PER_SECOND (2000000000)
#define MAKE_TIMER_TICKS(n, m) ((n) * (TIMER_TICKS_PER_SECOND / (m)))

extern "C" double BurnFMTimerGetTime();

void BurnOPNTimerCallback(int n, int c, int cnt, double stepTime);
void BurnOPLTimerCallback(int c, double period);

extern double dTime;

void BurnFMTimerExit();
int BurnFMTimerInit(int (*pCallback)(int, int));
void BurnFMTimerScan(int nAction);
int BurnFMTimerUpdate(unsigned int nTicks);

