// burn_ym2610.h
#include "driver.h"
extern "C" {
 #include "ay8910.h"
 #include "fm.h"
}
#include "timer.h"

int BurnYM2203Init(int nClockFrequency, float nVolume, FM_IRQHANDLER IRQCallback);
void BurnYM2203Reset();
void BurnYM2203Exit();
extern void (*BurnYM2203Render)(short* pSoundBuf, int nSegmentLength);
void BurnYM2203Scan(int nAction);

#define BurnYM2203Write(a, n) YM2203Write(0, a, n)
#define BurnYM2203Read(a) YM2203Read(0, a)

