/*
 * For the MAME FM sound cores
 */

#if !defined(_STATE_H)

#ifdef __cplusplus
 extern "C" {
#endif

void state_save_register_func_postload(void (*pFunction)());

void state_save_register_INT8(const char* module, int instance, const char* name, INT8* val, unsigned size);
void state_save_register_UINT8(const char* module, int instance, const char* name, UINT8* val, unsigned size);
void state_save_register_INT16(const char* module, int instance, const char* name, INT16* val, unsigned size);
void state_save_register_UINT16(const char* module, int instance, const char* name, UINT16* val, unsigned size);
void state_save_register_INT32(const char* module, int instance, const char* name, INT32* val, unsigned size);
void state_save_register_UINT32(const char* module, int instance, const char* name, UINT32* val, unsigned size);

void state_save_register_int(const char* module, int instance, const char* name, int* val);
void state_save_register_float(const char* module, int instance, const char* name, float* val, unsigned size);
void state_save_register_double(const char* module, int instance, const char* name, double* val, unsigned size);

#ifdef __cplusplus
 }
#endif

#define _STATE_H

#endif /* _STATE_H */
